Bug 142682 - Can't download files from a remote server via FTP
Can't download files from a remote server via FTP
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Project
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-02 16:09 UTC by Jan Chalupa
Modified: 2008-08-07 08:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log file with FTP transfer logging. (441.00 KB, text/plain)
2008-08-05 12:47 UTC, Jan Chalupa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chalupa 2008-08-02 16:09:25 UTC
Product Version: NetBeans IDE Dev (Build 200807310201)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Linux version 2.6.24-20-generic running on i386; UTF-8; en_US (nb)

I have an WordPress instance running on a remote server and want to turn it into a PHP project. I created an empty
project and a remote FTP configuration and am trying to download the sources to populate the project. The FTP client
seems to be able to establish the connection, but no source files are downloaded. I also get an Assertion Error.

Here's the FTP log:

220---------- Welcome to Pure-FTPd [TLS] ----------
220-You are user number 2 of 50 allowed.
220-Local time is now 08:46. Server port: 21.
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER nbplugin
331 User nbplugin OK. Password required
PASS ******
230-Your bandwidth usage is restricted
230-User nbplugin has group access to:  nbplugin
230 OK. Current restricted directory is /
TYPE I
200 TYPE is now 8-bit binary
CWD /public_html/janchalupa/blog
250 OK. Current directory is /public_html/janchalupa/blog
CWD /public_html/janchalupa/blog
250 OK. Current directory is /public_html/janchalupa/blog
SYST
215 UNIX Type: L8
PASV
227 Entering Passive Mode (69,89,27,228,80,136)
LIST
150 Accepted data connection
226-ASCII
226-Options: -a -l 
226 28 matches total
CWD /public_html/janchalupa/blog/wp-admin
250 OK. Current directory is /public_html/janchalupa/blog/wp-admin
PASV
227 Entering Passive Mode (69,89,27,228,242,16)
LIST
150 Accepted data connection
226-ASCII
226-Options: -a -l 
226 82 matches total
QUIT
221-Goodbye. You uploaded 0 and downloaded 0 kbytes.
221 Logout.

And here's the exception stack trace:

SEVERE [org.openide.util.RequestProcessor]
java.lang.AssertionError
        at org.netbeans.modules.php.project.connections.RemoteClient.isVisible(RemoteClient.java:669)
        at org.netbeans.modules.php.project.connections.RemoteClient.prepareDownload(RemoteClient.java:396)
        at org.netbeans.modules.php.project.ui.actions.DownloadCommand.invokeActionImpl(DownloadCommand.java:99)
        at org.netbeans.modules.php.project.ui.actions.DownloadCommand.access$000(DownloadCommand.java:62)
        at org.netbeans.modules.php.project.ui.actions.DownloadCommand$1.run(DownloadCommand.java:79)
        at org.netbeans.modules.php.project.ui.actions.FtpCommand$1.run(FtpCommand.java:77)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
Comment 1 Jan Chalupa 2008-08-02 16:15:57 UTC
BTW, I get the same AssertionError when I try to switch to the "active" FTP mode.
Comment 2 Tomas Mysik 2008-08-03 21:58:54 UTC
Honzo, could you please start IDE with:

-J-Dorg.netbeans.modules.php.project.connections.level=500

and attach the log file? Thanks.
(It's weird, remote file is returned as null.)
Comment 3 Jan Chalupa 2008-08-04 09:32:55 UTC
Requested log file sent via email.
Comment 4 Tomas Mysik 2008-08-04 15:14:59 UTC
Assertion removed - Honzo, could you please try it once more (with logging)? Thanks.
http://hg.netbeans.org/main?cmd=changeset;node=3199ee96c207
Comment 5 Jan Chalupa 2008-08-05 12:46:41 UTC
Re-tested with the first 6.5 beta build. I'm able to download *some* files now, but not the whole project. Specifically,
no folders are created locally during the download and files located in subfolders are not copied.

I'll attach the log file shortly.
Comment 6 Jan Chalupa 2008-08-05 12:47:40 UTC
Created attachment 66585 [details]
IDE log file with FTP transfer logging.
Comment 7 Tomas Mysik 2008-08-05 16:32:38 UTC
Fixed, please verify. I think we should backport this fix to the beta clone.
http://hg.netbeans.org/main?cmd=changeset;node=7515765cfa17
Comment 8 Quality Engineering 2008-08-05 16:35:44 UTC
Integrated into 'main-golden', available in build *200808051401* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/3199ee96c207
User: Tomas Mysik <tmysik@netbeans.org>
Log: AssertionError from #142682: Can't download files from a remote server via FTP

Logging improved as well.
Comment 9 Quality Engineering 2008-08-06 04:25:36 UTC
Integrated into 'main-golden', available in build *200808060201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/7515765cfa17
User: Tomas Mysik <tmysik@netbeans.org>
Log: #142682: Can't download files from a remote server via FTP
Comment 10 Jan Chalupa 2008-08-06 10:06:35 UTC
Fix verified. Using build #20080806 I was able to download the complete directory structure from a remote server.

It would be nice to get this fixed in 6.5 Beta. It's a showstopper for downloading existing project from remote servers.
Comment 11 Petr Blaha 2008-08-06 10:22:27 UTC
I agree that the bug is serious and should be fixed in Beta. Please, push the fix in beta clone.
Comment 12 Tomas Mysik 2008-08-07 08:04:25 UTC
Transplanted to release65_beta clone.
http://hg.netbeans.org/release65_beta/rev/ca38580b8c9a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo